#!/bin/sh
# SPDX-License-Identifier: MIT

error() {
	printf "%s\n" "$@" >&2
	exit 1
}

ps() {
	podman ps "$@"
}

start() {
	local name="$1"
	if [ -e "/etc/atmark/containers/$name.conf" ]; then
		podman_start "$name"
	else
		podman start "$name"
	fi
}

stop() {
	local name="$1"
	podman stop "$name"
}

logs() {
	local name="$1"
	podman logs "$name" 2>&1
}

mode="$1"
shift

case "$mode" in
ps|start|stop|logs)
	"$mode" "$@"
	;;
*)
	error "Usage: podman.sh [ps options|start/stop CONTAINER]"
	;;
esac
