// SPDX-License-Identifier: MIT

import { test, expect } from '@playwright/test';

test('register and delete other ssid', async ({ page }) => {
  await page.goto('/wlan');

  await expect(page).toHaveTitle(/WLAN設定/);

  // take screenshot for the sake of it (should take one at each step to debug problems?)
  await page.screenshot({ path: 'screenshots/wlan.png', fullPage: true });

  await test.step('Create test SSID', async () => {
    await page.getByLabel('ネットワーク名(SSID)', { exact: true }).selectOption('other');
    await page.getByLabel('他のネットワーク名(SSID)').fill('abosweb_test_ssid');
    await page.getByRole('textbox', { name: 'パスワード' }).fill('testpass');
    await page.getByRole('button', { name: '保存', exact: true }).click();
  });

  await test.step('Delete newly-created SSID', async () => {
    await page.getByText('abosweb_test_ssid').click();
    page.once('dialog', dialog => {
      dialog.accept().catch(() => {});
    });
    await page.getByRole('button', { name: '設定を削除' }).click();
  });
});
